
_USB_Init_desc:

;USBdsc.mpas,171 :: 		begin
;USBdsc.mpas,172 :: 		USB_config_dsc_ptr[0] := @configDescriptor1;
	MOVLW       _configDescriptor1+0
	MOVWF       _USB_config_dsc_ptr+0 
	MOVLW       hi_addr(_configDescriptor1+0)
	MOVWF       _USB_config_dsc_ptr+1 
	MOVLW       higher_addr(_configDescriptor1+0)
	MOVWF       _USB_config_dsc_ptr+2 
;USBdsc.mpas,173 :: 		USB_string_dsc_ptr[0] := ^const byte(@strd1);
	MOVLW       _strd1+0
	MOVWF       _USB_string_dsc_ptr+0 
	MOVLW       hi_addr(_strd1+0)
	MOVWF       _USB_string_dsc_ptr+1 
	MOVLW       higher_addr(_strd1+0)
	MOVWF       _USB_string_dsc_ptr+2 
;USBdsc.mpas,174 :: 		USB_string_dsc_ptr[1] := ^const byte(@strd2);
	MOVLW       _strd2+0
	MOVWF       _USB_string_dsc_ptr+3 
	MOVLW       hi_addr(_strd2+0)
	MOVWF       _USB_string_dsc_ptr+4 
	MOVLW       higher_addr(_strd2+0)
	MOVWF       _USB_string_dsc_ptr+5 
;USBdsc.mpas,175 :: 		USB_string_dsc_ptr[2] := ^const byte(@strd3);
	MOVLW       _strd3+0
	MOVWF       _USB_string_dsc_ptr+6 
	MOVLW       hi_addr(_strd3+0)
	MOVWF       _USB_string_dsc_ptr+7 
	MOVLW       higher_addr(_strd3+0)
	MOVWF       _USB_string_dsc_ptr+8 
;USBdsc.mpas,176 :: 		end;
L_end_USB_Init_desc:
	RETURN      0
; end of _USB_Init_desc
